List MCP servers
curl --request GET \
--url https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"displayName": "<string>",
"serverUrl": "<string>",
"serverLabel": "<string>",
"lastSyncStatus": "PENDING",
"lastSyncAttemptAt": "2023-11-07T05:31:56Z",
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
"hasCompletedFirstSync": true,
"syncErrorMessage": "<string>",
"tools": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"readOnlyHint": true,
"foundInServer": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}MCP servers
List MCP servers
Lists all MCP servers for an organization. Requires admin access to the organization. Results are paginated and ordered by creation date (newest first).
GET
/
api
/
public
/
organizations
/
{orgId}
/
mcp-servers
List MCP servers
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Path Parameters
Organization ID
Query Parameters
Maximum number of items to return (1-100, default 50)
Required range:
1 <= x <= 100Cursor for pagination (ID of the last item from previous page)
Was this page helpful?
⌘I